Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [linux-mint]

Linux Mint is a Linux distribution for desktop computers, based on Ubuntu or Debian. Linux Mint is aimed at being a "modern, elegant and comfortable operating system.

0
votes
1answer
28 views

Difficulties working with QGIS 3.4 API

I want to work with QGIS 3.4 in a C++ Qt project, but the API in version 3 has been completely changed and the sample code for older version don't compile anymore. Is there some sample code which ...
2
votes
1answer
36 views

How to work with Windows SMB connections in QGIS on Linux/Debian?

I'm having trouble accessing our Windows shared drives in QGIS while working on Linux Mint. For some reason I don't remember this being a problem prior to version 3.4, but here is the issue: Our ...
0
votes
0answers
16 views

GRASS session fail to start because of g.extension failed on linux mint

I am struggling to start any existing Grass sessions (that was working before) in Linux Mint 18.3 Cinnamon 64 bit on an Oracle virtual machine. The following error is popping up every time I am ...
1
vote
0answers
91 views

OSM Tools plugin is broken for QGIS 2.8.6-Wien

When installing osm tools for Wien 2.8.6 I get an error: the plugin is broken python said no module named yaml. Yaml is on my linux mint box 18 and I can't find documentation with google or on the ...
1
vote
0answers
260 views

Installing QGIS under Mint 18.2 (Ubuntu 16.04 Xenial)?

The problem Following the instructions from the QGIS page, after the corresponding ppa channels are installed, the command sudo apt-get install qgis fails with a message: The following packages ...
1
vote
2answers
839 views

Reinstalling QGIS on Linux Mint?

I've been using Mint for 2 years but am still new to Linux. I had the default QGIS version (2.0 I think) installed and it worked great, but I tried to upgrade and lost even that. After experimenting ...
0
votes
0answers
313 views

QGIS install failing with dpkg errors/

QGIS stopped working with this error: /usr/lib/qgis/crssync: symbol lookup error: /usr/lib/libgdal.so.20: undefined symbol: GEOSDelaunayTriangulation_r I removed/purged everything for a fresh ...
1
vote
0answers
99 views

What's this JSON format when generically connecting to Mifi/Jetpack GPS over Wi-Fi (NMEA)?

I just bought a Mifi 4G wifi modem, which Verizon, a US mobile company, has rebranded as a 'Jetpack'. While playing with the settings, I found that it also has a GPS receiver built into it, and ...
2
votes
0answers
876 views

Install QGIS LTR on Linux 16.04/Mint 18

I would like to install the current QGIS LTR (2.14.15) under Linux Mint 18. I have followed the QGIS instructions for installing the LTR from the ubuntugis ppa without success. I get the following ...
3
votes
1answer
259 views

Configuring OTB for Processing on Linux Mint

I'm using QGIS 2.18.3 in Linux Mint 18. I have downloaded Orfeo Toolbox and want to add it to the processing toolbox in QGIS. I have done it under Windows indicating the bin and lib path, but on Mint ...
4
votes
1answer
913 views

QGIS 2.18.5 update breaks on Ubuntu 16.04 [closed]

Concurrent updates to GDAL (to 2.1.3) and QGIS (to 2.18.5) on Linux Mint 18.1 from the Ubuntugis repos breaks QGIS, with a noted dependency for the virtual package gdal-abi-2-1-2 being uninstallable. ...
6
votes
2answers
2k views

Linux Mint: QGIS won't install

Linux Mint 17.2. After trying to reinstall QGIS through various processes referred to on SE, AskUbuntu & anywhere else*, I get various unmet dependency or held broken packages errors. Even with ...
3
votes
3answers
398 views

QGIS cluster gdal Unknown option 'INTERPOL'

I am running cluster analysis from image analysis menu of saga provider in QGIS. I use the qgis GUI from processing tool box, I call saga modules. I got same error in many other algorithms. I can ...
5
votes
1answer
991 views

Cannot locate GRASS plugin in QGIS 2.14.1 on Linux

I am trying to load the GRASS plugin in QGIS but it is not shown in the plugin manager (no matter if I turn on experimental and deprecated plugins). Under processing / options / providers GRASS GIS 7 ...
2
votes
0answers
328 views

Qgis no touch zoom and pan

Qgis 2.12.1 under Linux Mint 17.2 Cinnamon: I have no touch zoom and pan icon. Touch screen works for panning and other stuff but I cannot pinch to zoom. Any fix?
0
votes
1answer
676 views

Building GDAL with libcurl support on Debian Linux

Does anyone know how to build GDAL with libcurl support on Debian Linux (specifically LinuxMint and/or Ubuntu)? After following build instructions here and tip from @EvilGenius below, I'm specifying ...
2
votes
2answers
2k views

How to import a .sid Raster File in QGIS 2.6.0 On Linux Mint 17

I need some help importing MrSID Raster files in QGIS. I am running 2.6.0 on Linux Mint 17. After an internet search I have found a couple of resources that are perhaps outdated. The most promising is ...
1
vote
0answers
373 views

QGIS startup error (symbol lookup error, undefined symbol) after system update

I'm using QGIS 2.4.0 on Linux Mint 16 MATE 64-bit. This afternoon I did a normal system update via apt-get update && apt-get upgrade followed by apt-get autoclean && autoremove. But ...
1
vote
1answer
1k views

How to install the GDAL plugin for QGIS 2.0 on Linux Mint?

What do I need to access the GDAL plugin in QGIS 2.0? I've installed QGIS on my Linux Mint 16 64bit system, but can't access the GDAL Contour tool. The problem seems to lie with my package ...
3
votes
1answer
1k views

QGIS Server does not display test WMS

I'm having a similar problem to this post: Using Qgis server with Ubuntu 12.04 I am using Mint 15 desktop and QGIS 2.0.1. I read the above post and decided to go back a step or two and followed this ...
5
votes
3answers
799 views

How to install GRASS on Linux Mint?

I'm trying to figure out an error in GRASS network analysis for several days now. I started to suspect that it has something to do with my OS, namely Windows 7. Hence I installed Linux-Mint 14 (Nadia) ...